[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[equinox-dev] runtime no longer requires services


Pursuant to the earlier discussion, I have copied the OSGi preferences API (3 types) into the runtime plugin and deleted the runtime requirement on org.eclipse.osgi.services.  As such, the services bundle has been removed from the osgi.bundles list in config.ini and the osgi.bundles value in eclipse.properties.  These changes have been released in HEAD.

PDE should update their default launch configuration to not include services.

Not sure if update needs to do anything.

Jeff